<?php

function construction_newsletter_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(
		'newsletter_info' => '',
		'newsletter_form' => '',
	), $atts ) );

	ob_start();

	echo '<div class="construction-newsletter"><div class="construction-newsletter-content">';

	echo $newsletter_info;

	echo do_shortcode( '[mc4wp_form id="'.$newsletter_form.'"]' );
	
	echo '</div></div>';

	$output = ob_get_contents();
        
    ob_end_clean();

    return $output;
}

add_shortcode( 'newsletter', 'construction_newsletter_shortcode' );

?>